Debian Bug report logs - #686996
ITA: arpwatch -- Ethernet/FDDI station activity monitor

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Bart Martens <bartm@debian.org>

Date: Sat, 8 Sep 2012 06:39:01 UTC

Owned by: Florian Schlichting <fsfs@debian.org>

Severity: normal

Merged with 693374

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#686996; Package wnpp. (Sat, 08 Sep 2012 06:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 08 Sep 2012 06:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: submit@bugs.debian.org
Subject: O: arpwatch -- Ethernet/FDDI station activity monitor
Date: Sat, 8 Sep 2012 06:36:17 +0000
Package: wnpp

This package is currently not maintained, and from what I read in the
MIA-database, I think that it's time to mark this package as orphaned.



Merged 686996 693374 Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Fri, 16 Nov 2012 09:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#686996; Package wnpp. (Mon, 26 Nov 2012 18:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 26 Nov 2012 18:57:05 GMT) Full text and rfc822 format available.

Message #12 received at 686996@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: 686996@bugs.debian.org
Subject: Re: O: arpwatch -- Ethernet/FDDI station activity monitor
Date: Mon, 26 Nov 2012 19:53:01 +0100 (CET)
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

I am currently sorting through all the patches applied against upstream in 
the arpwatch package. I then plan on migrating the packaging to dh7, 
because the current packaging does not look very sane and is quite 
outdated.

Should I succeed, I am willing to assume maintainership of the package.

- -nik
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (GNU/Linux)

iQFOBAEBAgA4BQJQs7qDMRpodHRwczovL3d3dy5kb21pbmlrLWdlb3JnZS5kZS9n
cGctcG9saWN5LnR4dC5hc2MACgkQWfyOHW8qgAFxDwf+JaJNjrVu8qt2Bz2kGg8w
J0yjas32LhATv89qcucgn19Ry54YSw4s4fwqtjs570UcnjCwXJPvLY9bMrzlVrgL
3r0aLq1mMs6pIG8p3uUX3aXX2WXlO847GO2KYrU5SV7gmxBsykTbVbfIDoBSVgoX
cYtaWC26JohMBqVmJu9vEtzyBQ9ii2UnqqOmEA5AJLn2H5qq+MMc/gfNTynaKTgU
/WKUyOVFcGzpAAOMYORsdrkLqMRdzrP6XLTBMFCWaC04Pn5xtxRE0xOEW9q/P3SX
pwU65V996HRwziQDyfBzGKYQZWySjaf48ribRAZGNeBd+9DksFnoNptjU/EyCvMX
NA==
=ZQSu
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#686996; Package wnpp. (Tue, 12 Nov 2013 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Ernst <florian_ernst@gmx.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 12 Nov 2013 18:45:04 GMT) Full text and rfc822 format available.

Message #17 received at 686996@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian_ernst@gmx.net>
To: Dominik George <nik@naturalnet.de>, 686996@bugs.debian.org
Subject: Re: Bug#686996: O: arpwatch -- Ethernet/FDDI station activity monitor
Date: Tue, 12 Nov 2013 19:39:55 +0100
[Message part 1 (text/plain, inline)]
Hello Dominik,

On Mon, Nov 26, 2012 at 07:53:01PM +0100, Dominik George wrote:
> [...]
> Should I succeed, I am willing to assume maintainership of the package.

Any news on that?

Cheers,
Flo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#686996; Package wnpp. (Thu, 02 Jan 2014 20:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fsfs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 02 Jan 2014 20:45:09 GMT) Full text and rfc822 format available.

Message #22 received at 686996@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fsfs@debian.org>
To: Dominik George <nik@naturalnet.de>, 686996@bugs.debian.org, Florian Ernst <florian_ernst@gmx.net>
Subject: Re: Bug#686996: O: arpwatch -- Ethernet/FDDI station activity monitor
Date: Thu, 2 Jan 2014 21:43:13 +0100
Dominik,

did you have a look at the arpwatch package, and are you still planning
to adopt it?

Florian, are you interested in doing so?

I haven't had a look at the packaging yet, but unless any of you two
step forward, I might do so myself.

Florian



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#686996; Package wnpp. (Thu, 02 Jan 2014 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Ernst <florian_ernst@gmx.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 02 Jan 2014 22:09:05 GMT) Full text and rfc822 format available.

Message #27 received at 686996@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian_ernst@gmx.net>
To: Florian Schlichting <fsfs@debian.org>
Cc: Dominik George <nik@naturalnet.de>, 686996@bugs.debian.org
Subject: Re: Bug#686996: O: arpwatch -- Ethernet/FDDI station activity monitor
Date: Thu, 2 Jan 2014 23:06:44 +0100
Hello Florian,

On Thu, Jan 02, 2014 at 09:43:13PM +0100, Florian Schlichting wrote:
> Dominik,
> 
> did you have a look at the arpwatch package, and are you still planning
> to adopt it?
> 
> Florian, are you interested in doing so?

Speaking solely for myself: I'm interested in seeing a well-working
arpwatch package. I'd preferrably refrain from being actively involved
in that, however, as other obligations keep me quite busy. (Yeah, I
know, everybody just want to get something and nobody wants to actually
do the work ...)

So my asking for news on this sort-of-ITP more points at whether there
is really someone working on it or whether anybody could jump in and
take over. Dominik, in the light if a lack of any visible (to me, that
is) activity or reply, I'd guess it's the latter.

> I haven't had a look at the packaging yet, but unless any of you two
> step forward, I might do so myself.

Thus, I'd say got for it. Or anyone else, for what it's worth.

Cheers,
Flo



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#686996; Package wnpp. (Thu, 02 Jan 2014 22:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 02 Jan 2014 22:18:05 GMT) Full text and rfc822 format available.

Message #32 received at 686996@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: Florian Ernst <florian_ernst@gmx.net>
Cc: Florian Schlichting <fsfs@debian.org>, 686996@bugs.debian.org
Subject: Re: Bug#686996: O: arpwatch -- Ethernet/FDDI station activity monitor
Date: Thu, 2 Jan 2014 23:15:32 +0100
[Message part 1 (text/plain, inline)]
Hi,

> So my asking for news on this sort-of-ITP more points at whether there
> is really someone working on it or whether anybody could jump in and
> take over. Dominik, in the light if a lack of any visible (to me, that
> is) activity or reply, I'd guess it's the latter.

I started work on the package some time and found the upstream code to
be a huge mess. At some point, I gave up because I needed to think about
the delta to be carried in Debian a bit more. Then I obviously forgot
about arpwatch ...

> Thus, I'd say got for it. Or anyone else, for what it's worth.

That said, I'd maybe still co-maintain the package, but not alone.

-nik

-- 
<burny> Ein Jabber-Account, sie alle zu finden; ins Dunkel zu treiben
        und ewig zu binden; im NaturalNet, wo die Schatten droh'n ;)!

PGP-Fingerprint: 3C9D 54A4 7575 C026 FB17  FD26 B79A 3C16 A0C4 F296
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#686996; Package wnpp. (Fri, 03 Jan 2014 23:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fsfs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 03 Jan 2014 23:21:04 GMT) Full text and rfc822 format available.

Message #37 received at 686996@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fsfs@debian.org>
To: Dominik George <nik@naturalnet.de>
Cc: Florian Ernst <florian_ernst@gmx.net>, 686996@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#686996: ITA: arpwatch -- Ethernet/FDDI station activity monitor
Date: Sat, 4 Jan 2014 00:19:02 +0100
retitle 686996 ITA: arpwatch -- Ethernet/FDDI station activity monitor
owner 686996 !
thanks

On Thu, Jan 02, 2014 at 11:15:32PM +0100, Dominik George wrote:
> I started work on the package some time and found the upstream code to
> be a huge mess. At some point, I gave up because I needed to think about
> the delta to be carried in Debian a bit more. Then I obviously forgot
> about arpwatch ...

do you still have results from that work and could put them somewhere I
can have a look, or can you sum up the insights you have gained from
your work? I haven't actually read any upstream code yet, but I saw a
few patches floating around on github and then there's arpwatch-ng...

So far, I reconstructed the Debian arpwatch packaging history from
snapshots.debian.org, in the hope that that will make it easier to go
back to unapplied, single-issue patches and convert the packaging to 3.0
(quilt): https://github.com/fschlich/Debian-arpwatch

> > Thus, I'd say got for it. Or anyone else, for what it's worth.
> 
> That said, I'd maybe still co-maintain the package, but not alone.

I'd love have co-maintainers. Do you have collab-maint access?

Florian




Changed Bug title to 'ITA: arpwatch -- Ethernet/FDDI station activity monitor' from 'O: arpwatch -- Ethernet/FDDI station activity monitor' Request was from Florian Schlichting <fsfs@debian.org> to control@bugs.debian.org. (Fri, 03 Jan 2014 23:21:13 GMT) Full text and rfc822 format available.

Owner recorded as Florian Schlichting <fsfs@debian.org>. Request was from Florian Schlichting <fsfs@debian.org> to control@bugs.debian.org. (Fri, 03 Jan 2014 23:21:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:35:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.